#
# spec file for package kcompletion
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname   libKF5Completion4
Name:           kcompletion
Version:        4.96.0
Release:        0
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= 0.0.10
BuildRequires:  fdupes
BuildRequires:  kconfig-devel >= %{_kf5_platform_version}
BuildRequires:  kf5-filesystem
BuildRequires:  kwidgetsaddons-devel >= %{_kf5_platform_version}
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Xml) >= 5.2.0
Summary:        Provides widgets with advanced completion support
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        kcompletion-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KCompletion provides widgets with advanced completion support as well as a
lower-level completion class which can be used with your own widgets.

%package -n %lname
Summary:        Provides widgets with advanced completion support
Group:          System/GUI/KDE

%description -n %lname
KCompletion provides widgets with advanced completion support as well as a
lower-level completion class which can be used with your own widgets.

%package devel
Summary:        Provides widgets with advanced completion support
Group:          Development/Libraries/KDE
Requires:       extra-cmake-modules
Requires:       kconfig-devel >= %{_kf5_platform_version}
Requires:       kwidgetsaddons-devel >= %{_kf5_platform_version}
# Needs removal upstream
Requires:       ki18n-devel >= %{_kf5_platform_version}
Requires:       %lname = %{version}
Requires:       pkgconfig(Qt5Core)

%description devel
KCompletion provides widgets with advanced completion support as well as a
lower-level completion class which can be used with your own widgets. Development
files.

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes -s %{buildroot}

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5Completion.so.*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Completion.so
%{_kf5_libdir}/cmake/KF5Completion/
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_includedir}/*.h
%{_kf5_mkspecsdir}/qt_KCompletion.pri

%changelog
